lucene-pylucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Bill Janssen <jans...@parc.com>
Subject Re: [VOTE] Release PyLucene 3.5.0
Date Wed, 07 Dec 2011 07:36:58 GMT
Here's an issue with the new IndexPolicy class:

compile:
    [mkdir] Created dir: /private/tmp/pylucene-3.5.0-1/build/classes
    [javac] /private/tmp/pylucene-3.5.0-1/extensions.xml:19: warning: 'includeantruntime'
was not set, defaulting to build.sysclasspath=last; set to false for repeatable builds
    [javac] Compiling 30 source files to /private/tmp/pylucene-3.5.0-1/build/classes
    [javac] /private/tmp/pylucene-3.5.0-1/java/org/apache/pylucene/index/PythonIndexDeletionPolicy.java:48:
method does not override a method from its superclass
    [javac]     @Override
    [javac]      ^
    [javac] /private/tmp/pylucene-3.5.0-1/java/org/apache/pylucene/index/PythonIndexDeletionPolicy.java:52:
method does not override a method from its superclass
    [javac]     @Override
    [javac]      ^
    [javac] Note: Some input files use or override a deprecated API.
    [javac] Note: Recompile with -Xlint:deprecation for details.
    [javac] 2 errors

BUILD FAILED
/private/tmp/pylucene-3.5.0-1/extensions.xml:19: Compile failed; see the compiler error output
for details.

Total time: 0 seconds
make: *** [build/jar/extensions.jar] Error 1
/tmp/pylucene-3.5.0-1 941 % java -version
java -version
java version "1.5.0_30"
Java(TM) 2 Runtime Environment, Standard Edition (build 1.5.0_30-b03-389-9M3425)
Java HotSpot(TM) Client VM (build 1.5.0_30-161, mixed mode, sharing)
/tmp/pylucene-3.5.0-1 942 % 

This is OS X 10.5 with the 32-bit Python 2.5 and corresponding 32-bit Java 1.5.

Bill

Mime
View raw message